Skip to main content

User Balance

POST https://{PARTNER_API_URL}/user/balance

This request will be performed to refresh user balance and currency data on the frontend. We will poll this endpoint periodically starting from the moment the user loads the Sportsbook iFrame.

When you receive a request, you should perform the following actions on your side:

  1. Check that the method is POST.
  2. Verify request signature (to ensure the request comes from our server).
  3. Verify the user token.
  4. Respond with the current user balance in the requested currency.

Request Examples

{
"userId": "1999",
"currency": "USD",
"token": "5caa4cabce523c2f7610c50ce9819bfb",
"requestId": "d9195aef-9492-43dd-88d0-dc1732a37f4e"
}

Request Parameters

ParameterTypeValidationDescription
tokenstring10-64Session token for identification.
userIdstring1-64The user’s unique ID on the Partner’s platform..
currencystringISO 4217The currency code of the user’s account. The currency code must be specified in ISO 4217 (EUR, USD, RUB, and so on).
amountfloatThe amount with a dot separator.

Response examples

{
"userId": "1999",
"currency": "USD",
"amount": 1290.1,
}